body {
  margin: 0;
  padding: 0;
  background-color:black;
} 

header {
  min-height: 36px;
}

a {
  color: rgb(0, 151, 221);
}

.text-alert{
  text-align: center;
    width: auto;
    /**width: 350px;*/
    color: #00FFFF !important;
}

footer {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 15px;
}

hr {
  height: 1px;
  color: rgb(191, 230, 184);
  background-color: rgb(191, 230, 184);
  border: none;
  margin: 0;
}

input[type=number] {
  height: 44px;
  padding: 0;
  width: 100%;
  border: 0;
  border-radius: 3px;
  background-color: white;
  box-shadow: inset 0 0 0 1px rgba(92, 110, 119, 0.25), inset 0 1px 2px 0 rgba(92, 110, 119, 0.2);
  -moz-box-shadow: inset 0 0 0 1px rgba(92, 110, 119, 0.25), inset 0 1px 2px 0 rgba(92, 110, 119, 0.2);
  -webkit-box-shadow: inset 0 0 0 1px rgba(92, 110, 119, 0.25), inset 0 1px 2px 0 rgba(92, 110, 119, 0.2);
  -webkit-appearance: none;
}

input[type=file] {
  display: none;
}

.center {
  text-align: center;
  color: rgba(255, 250, 240, 1);
}

.right {
  text-align: right;
  color: rgba(255, 250, 240, 1);
}

.column {
  flex-flow: row wrap;
  flex: 1 100%;
  align-items: center;
  flex-direction: column;
  flex-basis: 100%;
}

.row {
  display: flex;
  flex-direction: row;
  align-items: center;
  min-height: 71px;
}

.row-justify-space {
  justify-content: space-between;
}

.row-justify-center {
  justify-content: center;
}

.row-justify-space button {
  width: 48%;
}

.row svg {
  margin: 15px;
}

.instructions-on-face {
  position: absolute;
  margin: 0;
  text-align: center;
  font-size: 2.0em;
  font-weight: bold;
  color: #00FFFF !important;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 350px;
}

@media only screen and (min-height: 1400px) {
  .img-preview {
    width: 80%;
    display: block;
    margin: 0 auto;
  }
}

@media only screen and (max-height: 1400px) {
  .img-preview {
    width: 60%;
    display: block;
    margin: 0 auto;
  }
}


/*contenedor del video*/
.ui-canvas-container {
  z-index: -1;
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  display: flex;
  
}

.instruction_gif {
  position: absolute;
  left: 0px;
  bottom: 0px;
  z-index: 0;
  display: flex;
  width: 350px;
  height: 350px;
}

.flip-x {
  transform: scaleX(-1); 
}

.f3d-animation {
  z-index: 0;
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  display: flex;
}

/*es el espacio del video*/
.ui-canvas {
  object-fit: cover;
  width: 100%;
  height: 100%;
  
}

.page-capture {
  position: fixed;
  height: 100%;
  width: 100%;
  /*background-color: rgba(135, 128, 118, 1);*/
    background-color: rgba(92, 110, 119);
    
}

/*es el contenedor del ovalo de la selfie*/
.overlay {
  z-index: 10;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  /*background-color: rgba(135, 128, 118, 1);*/
  background-color: rgba(92, 110, 119, 0.5);
}


.overlay-rect {
  -webkit-mask-size: cover;
  mask-size: cover;
}

.overlay-rect-id {
  mask-image: url(/overlay-id-sm.png);
  -webkit-mask-image: url(/overlay-id-sm.png);
}

.overlay-rect-passport {
  mask-image: url(/overlay-passport-sm.png);
  -webkit-mask-image: url(/overlay-passport-sm.png);
}

.overlay-oval {
  mask-image: radial-gradient(58% 70% ellipse at 50% 55%,
   transparent 50%, white 53%);
  -webkit-mask-image: radial-gradient(70% 65% ellipse at 50% 42%,transparent 50%,#fff 53%);
  /**-webkit-mask-image: radial-gradient(58% 70% ellipse at 50% 55%,
   transparent 50%, white 53%);*/
  mask-size: cover;
  -webkit-mask-size: cover;
}*/

/*SDK_DAON*/
.overlay-oval {
  mask-image: radial-gradient(70% 65% ellipse at 50% 42%, transparent 50%, white 53%);
  -webkit-mask-image: radial-gradient(70% 65% ellipse at 50% 42%, transparent 50%, white 53%);
  mask-size: cover;
  -webkit-mask-size: cover;
}

.overlay-f3d {
  mask-image: url(/frame_overlay_far_red.png);
  -webkit-mask-image: url(/frame_overlay_far_red.png);
  mask-size: cover;
  -webkit-mask-size: cover;
}

.displaycanvas {
  border: 1px solid black;
  /* z-index: 5; */
  position: absolute;
  top: 0px;
  left: 0px;
  width: var(--cam-width);
  height: var(--cam-height);
  pointer-events: none;

  transform: rotateY(180deg);
  /* preview mirror */
}

.w-full {
  width: 100%;
}

.m-20 {
  margin: 20px;
}

.box-shadow {
  box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.5);
  -webkit-appearance: none;
  -moz-box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.5);
  -webkit-box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.5);
}

.message-box {
  width: 100%;
  border-radius: 3px;
  background-color: white;
  color: rgba(54, 64, 69, 1);
  font-size: 14px;
  line-height: 20px;
  text-align: center;
}

.message-box-error {
  color: rgb(219, 49, 6);
}

.scale-edge {
  transform: scale(-2, 2.4) !important;
}

.hiddenEdge {
  overflow: hidden;
}

._loading_overlay_wrapper {
  height: 100%;
}

.native-capture-box {
  background-color: lightgoldenrodyellow;
  border-radius: 3px;
  text-align: center;
  margin: auto;
  margin-top: 10px;
  width: 350px;
}

.native-capture-box button {
  color: rgb(0, 151, 221);
}

.button-link {
  /* color: white; */
  margin-left: 10px;
  background: none;
  border:none;
  font:inherit;
  font-size: inherit;
  text-decoration: underline;
  cursor: pointer;
}


/*
@media only screen 
    and (device-width : 375px) 
    and (device-height : 812px) 
    and (-webkit-device-pixel-ratio : 3) {
      .overlay-oval[_ngcontent-dbi-c2] {
        mask-image: radial-gradient(80% 55% ellipse at 50% 55%, transparent 50%, white 53%) !important;
        -webkit-mask-image: radial-gradient(75% 60% ellipse at 50% 55%, transparent 50%, white 53%) !important;
        mask-size: cover;
        -webkit-mask-size: cover
      }
      
      .overlay-oval {
        mask-image: radial-gradient(80% 55% ellipse at 50% 55%, transparent 50%, white 53%) !important;
        -webkit-mask-image: radial-gradient(75% 60% ellipse at 50% 55%, transparent 50%, white 53%) !important;
        mask-size: cover;
        -webkit-mask-size: cover;
      }

      

     }

     @media only screen 
    and (device-width : 375px) 
    and (device-height : 667px) 
    and (-webkit-device-pixel-ratio : 2) { 
      .overlay-oval[_ngcontent-dbi-c2] {
        mask-image: radial-gradient(75% 60% ellipse at 50% 55%, transparent 50%, white 53%) !important;
        -webkit-mask-image: radial-gradient(75% 60% ellipse at 50% 55%, transparent 50%, white 53%) !important;
        mask-size: cover;
        -webkit-mask-size: cover
      } 
      .overlay-oval {
        mask-image: radial-gradient(75% 60% ellipse at 50% 55%, transparent 50%, white 53%) !important;
        -webkit-mask-image: radial-gradient(75% 60% ellipse at 50% 55%, transparent 50%, white 53%) !important;
        mask-size: cover;
        -webkit-mask-size: cover;
      }
    }
    */


/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
  background-color: #fefefe;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 20% !important;
  padding: 20px;
  border: 1px solid #888;
  width: 290px;
  margin-top: 20% !important;
  font-family: 'Raleway' !important;
  border-radius: 30px;
}

/* The Close Button */
.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}


.fq {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 1;
  margin-bottom: 1%;
  z-index: 9999999999;
  /* Set the fixed height of the footer here */
  line-height: 60px;
  /* Vertically center the text there */
  /*background-color: #1db33e;*/
}